## libva-intel-driver-2.4.5.tar.gz

=== meson_options.txt ===
option('driverdir', type : 'string', description : 'drivers path')
option('with_x11', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_wayland_drm', 
    description: 'Build with Wayland support via the legacy wl_drm protocol',
    deprecated: true,
    type : 'combo',
    choices : ['yes', 'no', 'auto'],
    value : 'auto'
)
option('enable_hybrid_codec', type : 'boolean', value : false,
    description: 'Enables support for loading the separate hybrid codec driver.')
option('enable_tests', type : 'boolean', value : false)
